<html>
<head>

<?php
  include( "../printButton.inc"  );
  include( "../moveDualList.inc" );
  printMoveDualList();

  include( "../Country.inc"      );
  include( "../Database.inc"     );
  include( "../TAM_Database.inc" );

  $objCountry = new Country( "CA" );

  $tab = 1;
  $defaultFocus = "pfname";

  $param = "user=". $user ."&type=". $type ."&owner_key=". $owner_key;

//  $DEBUG = 0;

  if ( $pf_key    < 1 )  $pf_key    = 100;
  if ( $owner_key < 1 )  $owner_key = 100;

  $db = new TAM_Database( $owner_key );

// alert( $mode .":".$save .":". $pf_key );

 if ( $mode == 3 )     
 {
   $title = "View client portfolio";
 }
 else if ( $mode == 2 )
 {      
   $title = "Modify a client portfolio";
 }
 else
 {
   $title = "Create a new client portfolio";
   $pf_key = $db->getNewKey( "TAM_Portfolio", "portfolio_key" );   
 }

// alert( $save );


 if ( $save == 1 ) // CREATE
 {
//   alert( "This entry will be created into the database." );

   $db->insert_Portfolio( $pf_key, $pfname, $fname, $lname, $company );
   $addr_key    = $db->getNewKey( "TAM_Address", "address_key" );   
   $contact_key = $db->getNewKey( "TAM_Contact", "contact_key" );   

   $db->insert_Address( $addr_key, $pfname, 
			$street, $appt, $city, $state, $country, $zipcode );

   $db->insert_Contact( $contact_key, $pfname, $tel, $fax,
			$cell, $website, $worktel, $email );

   $db->insert_Node( "FD", $pf_key, $addr_key    );
   $db->insert_Node( "FC", $pf_key, $contact_key );

   if ( $lstProjectDest  && is_array( $lstProjectDest ) )
   {
     foreach( $lstProjectDest As $index => $item )
     {
	if ( $item > 0 )
	{
          $db->insert_Node( "FJ", $pf_key, $item );
	}
     }
   }
 }
 else if ( $save == 2 ) // UPDATE
 {
   $db->update_Portfolio( $pf_key, $pfname, $fname, $lname, $company );

   $db->select_Node_src( "FD", $pf_key );
   $row = $db->fetch_row();
   $addr_key = $row[2];

   $db->select_Node_src( "FC", $pf_key );
   $row = $db->fetch_row();
   $contact_key = $row[2];

   $db->update_Address( $addr_key, $pfname, 
			$street, $appt, $city, $state, $country, $zipcode );

   $db->update_Contact( $contact_key, $pfname, $tel, $fax,
			$cell, $website, $worktel, $email );

   if ( $lstProjectDest  && is_array( $lstProjectDest ) )
   {
     foreach( $lstProjectDest As $index => $item )
     {
	if ( $item )
	{
          $db->update_Node( "FJ", $pf_key, $item );
	}
     }
   }
 }
 else if ( $save == -1 ) // DELETE
 {
   alert( "DELETE PORTFOLIO #". $pf_key );   
 }

 // Read DATA
 if ( $mode >= 2 )
 {
   $db->select_Portfolio( $pf_key );
   $row = $db->fetch_row();
   $pfname  = $row[1];
   $fname   = $row[2];
   $lname   = $row[3];
   $company = $row[4];

   $db->select_Node_src( "FD", $pf_key );
   $row = $db->fetch_row();
   $addr_key = $row[2];

   $db->select_Node_src( "FC", $pf_key );
   $row = $db->fetch_row();
   $contact_key = $row[2];

   $db->select_Address( $addr_key );
   $row = $db->fetch_row();
   $street    = $row[2];
   $appt      = $row[3];
   $city      = $row[4];
   $state     = $row[5];
   $country   = $row[6];
   $zipcode   = $row[7];

   $db->select_Contact( $contact_key );
   $row = $db->fetch_row();
   $tel       = $row[2];
   $fax       = $row[3];
   $cell      = $row[4];
   $website   = $row[5];
   $worktel   = $row[6];
   $email     = $row[7];
 }
?>

<title>
<?php echo $title; ?>
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<script language="JavaScript1.1">

   var stdOptions = "resizable=no,directories=no,left=10,top=10,toolbar=no";
 
   function openAbbrev() 
   {
      var url  = "http://fprog.sf.net/abbrev.php";
      var options = stdOptions + ",width=250,height=650,scrollbars=yes";
      window.open(url,"abbrevs",options);
   }

   function OpenWindow(strURL, strTitle, intWidth, intHeight)
   {
      	var intWindowLeft
      	var intWindowTop
      	var msgWindow
		
	// find out the numbers to center the screen.
	intWindowLeft = (screen.width - intWidth) / 2;
	intWindowTop = (screen.height - intHeight) / 2;
	
	msgWindow = window.open(strURL,strTitle,'toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=0,resizable=1,width=' + intWidth + ',height=' + intHeight + ',left=' + intWindowLeft + ',top='+ intWindowTop);	
   }

</script>

</head>

<body bgcolor="#ffffff" text="#000044" 
background="http://fprog.sf.net/images/std/bwhite.gif"
onLoad="preloadSmallButtons();"
>
<form METHOD=GET ACTION="<?php echo $PHP_SELF; ?>" name="myForm">
<BR><BR>
<div align="center"><center>
<table border="0">
  <tr> 
    <td width="14" valign="top">&nbsp; </td>
    <td valign="top"><font size="6" color="#3333ff"><center><?php 
echo $title; ?></center></font> 
       <div align="center"><font size="1"><Br></font>
           <table width="650" border="0" height="650">
              <tr> 
                <td colspan="20"><HR></td>
              </tr>
              <tr> 
                <td width="8"><NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR></td>
                <td colspan="5"><font face="Times" size="4"
color="#004411"><B><u>Portfolio Information:</u></B> &nbsp;</font>
 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                </td>
              </tr>
              <tr> 
                <td width="8" height="55"><NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR></td>

                <td width= "88" height="55"><font  
face="Times" size="4"  >
<NOBR>Portfolio Name: &nbsp;</NOBR></font></td>
                <td width="218" height="55">
<?php
  printTextbox( "pfname", $pfname );
?> 
                </td>
                <td width="8" height="55"
><NOBR>&nbsp; &nbsp; 
&nbsp; 
&nbsp; 
&nbsp; 
&nbsp; 
&nbsp; 
&nbsp; &nbsp;</NOBR></td>  
                <td width= "100" height="55"><font face="Times" size="4" 
>Portfolio ID:</font> &nbsp;</td> 
                <td height="55" width="211">
<font color="black" size="4" face="Times"><?php echo $pf_key; ?></font> 
                </td>
              </tr>
              <tr> 
                <td colspan="20"> 
                  <HR>
                </td>
              </tr>
              <tr> 
                <td width="8"><NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR></td>
                <td colspan="2"><font face="Times" size="4" color="#004411"><B><u>Client 
                    Information:</u></b></font></td>
              </tr>
              <tr> 
                <td width="8"><NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR></td>
                <td width= "100"><font face="Times" size="4" >First 
                  Name: &nbsp;</font> </td>
                <td width="211"> 
<?php
printTextbox( "fname", $fname );
?>
                </td>
                <td width="8"><NOBR>&nbsp; &nbsp;</NOBR></td>
                <td width= "88"><font face="Times" size="4" >Last 
                  Name: &nbsp;</font> </td>
                <td colspan="4" width="218"> <font  face="Times" size="4" color="#000099"> 
<?php
printTextbox( "lname", $lname );
?>
                </td>
              </tr>
              <tr> 
                <td width="8"><NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR></td>
                <td width= "100"><font face="Times" size="4" 
><NOBR>Company Name: &nbsp;</NOBR></font> </td>
                <td><?php
printTextbox( "company", $company );
?></td>
              </tr>
              <tr> 
                <td colspan="20"> 
                  <HR>
                </td>
              </tr>

   <tr>
      <td width="8" rowspan="4"><NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR></td>
      <td height="22" colspan="2" valign="top"><font face=Times
color=#004411 size=4><b><u>Address
        Information:</u></b> &nbsp;</font></td>
    </tr>
    <tr>
      <td valign="top"><font face=Times
 size=4>Street: &nbsp;</font></td>
      <td valign="top"><?php
  printTextbox( "street", $street, "7" );
?></td>
      <td></td>

      <td valign="middle" ><font face=Times 
size=4>Office/Appt:
        &nbsp;</font></td>
      <td  valign="top"><?php
  printTextbox( "appt", $appt, "8" );
?></td>
<td>
<NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR>
      </td>
    </tr>
    <tr>
      <td valign="middle" colspan="1"><font
face=Times  size=4>City: &nbsp;</font></td>
      <td valign="top">
        <?php
  printTextbox( "city", $city, "9" );
?>
      </td>

      <td></td>

      <td valign="middle" ><font face=Times 
size=4>State: &nbsp;</font></td>
      <td  valign="top">
<?php
   if ( $mode != 3 )
   {
?>
        <input 
tabindex="<?php echo $tab; $tab++; ?>"
maxlength=2 size=3 name=state value="<?php
echo $state; ?>">
        &nbsp; <small><a 
tabindex="<?php echo $tab; $tab++; ?>"
href="javascript:openAbbrev();"
>(Find Abbreviation)</a></small>
<?php
   }
   else
   {
?>
     <font color="black" size="4"><?php echo $state; ?></font>
<?php
   }
?>
      </td>
      <td></td>
    </tr>
    <tr>
      <td valign="middle"><font face=Times

size=4>Country: &nbsp;</font></td>
      <td valign="middle">
<?php
	$objCountry->displayList( $country, "190", $tab ); $tab++
?>
      </td>

      <td></td>

      <td valign="middle" ><font face=Times 
size=4>ZIP
       Code: &nbsp;</font></td>
      <td  valign="top">
        <?php
printTextbox( "zipcode", $zipcode, "10" );
?>
      </td>
      <td></td>
    </tr>
    <tr>
      <td height="21" colspan="10" valign="top">
        <hr>
      </td>
    </tr>
    <tr>
      <td width="8" rowspan="4"><NOBR>&nbsp; &nbsp; &nbsp; &nbsp;</NOBR></td>

      <td height="22" colspan="10" valign="top"><font face=Times
color=#004411 size=4><b><u>Contact
        Information:</u></b> &nbsp;</font></td>
    </tr>
    <tr>
      <td height="28" valign="middle"><font face=Times

size=4>Email: &nbsp;</font>
</td>
      <td valign="top">
        <?php
printTextbox( "email", $email, "11" );
?>
      </td>

      <td></td>
      <td></td>
      <td  valign="bottom">(1-514-848-8888)</td>
      <td></td>
    </tr>
    <tr>
      <td height="28" valign="middle"><NOBR><font face=Times
 size=4>Web Site: &nbsp;</font></nobr></td>
      <td valign="top">
        <?php
printTextbox( "website", $website, "12" );
?>
      </td>

      <td></td>
      <td valign="middle"><Nobr><font face=Times 
size=4>Telephone:</font> &nbsp;</nobr></td>
      <td  valign="top">
        <?php
printTextbox( "worktel", $worktel, "13" );
?>
      </td>
      <td></td>
    </tr>
    <tr>
      <td height="28" valign="middle"><NOBR><font
face=Times  size=4>Cell
        Phone: &nbsp;</font></nobr></td>
      <td valign="top">
        <?php
printTextbox( "cell", $cell, "14" );
?>
     </td>

      <td></td>
      <td valign="middle"><NOBR><font face=Times 
size=4>Fax
        Number: &nbsp;</font></nobr></td>
      <td  valign="top">
        <?php
printTextbox( "fax", $fax, "15" );
?>
      </td>
      <td></td>
    </tr>
    <tr>
      <td height="21" colspan="10" valign="top">
        <hr>
      </td>
    </tr>
              <tr> 
                <td width="8" rowspan="1"><NOBR>&nbsp; &nbsp; &nbsp;
&nbsp;</NOBR></td>
                <td valign="top"><nobr><font face="Times" size="4"
color="#004411"><B><u>Related 
                    Projects:</u></b> &nbsp;</font>
                </nobr></td>
</tr>
<tr>
               <th colspan="7"><div align="center"><center>
<table border="0"><tr><td>
&nbsp; &nbsp; &nbsp; &nbsp; 
</td><td> 
<?php
  printListHead( "lstProject" );

  $list_query = "SELECT J.project_key, J.project_name, FJ.src_key ".
		"FROM TAM_Project J ".
	        "LEFT JOIN TAM_Node FJ ".
		"ON     FJ.src_key   = ". $pf_key . "  ".
		"AND    FJ.dest_key  = J.project_key   ". 
		"AND    FJ.node_type = 'FJ' ";

//		."WHERE   J.project_key > 0  ";

  $db->prepare( $list_query );
 
  while( $row = $db->fetch_row() )
  {
    if ( $row[2] != $pf_key )
    {
      printOptionSrcVal( $row[0], $row[1] );
    }
  }

/*  
  printOptionSrc( "Product Database Project", "","" );
  printOptionSrc( "TAM WebSite Project", "","" );
  printOptionSrc( "Help desk WebSite Project", "","" );
  printOptionSrc( "Accounting WebSite Project", "","" );
*/

  printListMid( "lstProject" );

  $db->prepare( $list_query );
 
  while( $row = $db->fetch_row() )
  {
    if ( $row[2] == $pf_key )
    {
      printOptionDestVal( $row[0], $row[1] );
    }
  }

/*
  printOptionDest( "Flight Simulator Project", "" );
  printOptionDest( "F1 racing Simulator Project", "" );
*/

  printListFoot( "lstProject" );
?>
</td></tr></table>
</center></div>
		  </td></tr>
	<tr>
      	  <td height="26" colspan=9>
            <hr>
          </td>
    	</tr>
       	     </table>
           </div>
<BR>
<Center>
<?php
  printBottomButtons( "pf_key", $pf_key );
?>
</center>

<script language="JavaScript1.1">
<!-- Begin

   function onSubmit()
   {
     highlightList(  document.myForm.elements['lstProjectDest[]']  );
   }

// !-->
</script>


