<?php

if ( $DesktopIcon_INCLUDED != 1 )
{
  $DesktopIcon_INCLUDED = 1;

  class DesktopIcon
  {
    var $name;
    var $link;
    var $icon;
    var $height;
    var $width;
    var $help;

    function DesktopIcon( $name_en, $name_fr, $link, $icon, $width, $height )
    { 
      global $lang;
      if ( $lang != "fr" && $lang != "FR" )
      {
        $lang         = "en";
        $this->name   = $name_en;
        $this->help   = $name_en;
      }
      else
      {
        $lang         = "fr";
        $this->name   = $name_fr;
        $this->help   = $name_fr;
      }

      $this->link   = $link;
      $this->icon   = $icon;
      $this->width  = $width;
      $this->height = $height;
    }

    function setIcon( $p )
    {
      $this->icon = $p;
    }

    function getIcon()
    {
      return $this->icon;
    }

    function setHeight( $h )
    {
      $this->height = $h;
    }

    function getHeight()
    {
      return $this->height;
    }
 
    function setWidth( $w )
    {
      $this->width = $w;
    }

    function getWidth()
    {
      return $this->width;
    }
 
    function setHelp( $h )
    {
      $this->help = $h;
    }

    function getHelp()
    {
      return $this->help;
    }

    function setLink( $l )
    {
      $this->link = $l;
    }

    function getLink()
    {
      return $this->link;
    } 

    function setName( $n )
    {
      $this->name = $n;
    }

    function getName()
    {
      return $this->name;
    }

    function display()
    {
      echo "<center><a href=\"". $this->link ."\"";
      echo "><img src=\"".       $this->icon ."\" ";
  
      if ( $this->width && $this->width != "" ) 
      {
        echo " WIDTH=\"". $this->width ."\" ";
      }
  
      if ( $this->height && $this->height != "" ) 
      {
        echo " HEIGHT=\"". $this->height ."\" ";
      }
  
      if ( $this->help && $this->help != "" ) 
      {
        echo " ALT=\"". $this->help ."\" ";
      }
  
      echo " ><BR>". $this->name ."</a></center>";
    }  
  }
}
 
?>
