<?php

// addslashes($) stripslashes($)

// TAM_Database.inc

if( $TAM_Database_INCLUDED != 1 )
{
  $TAM_Database_INCLUDED = 1;

  function sqlDate( $date )
  {
    if ( substr( $date, 2, 1 ) == '/' )
    {
      $mm = substr( $date, 0, 2 );
      if ( substr( $date, 5, 1 ) == '/' )
      {
        $dd = substr( $date, 3, 2 );
        $yy = substr( $date, 6, 4 ); 
      }
      else if ( substr( $date, 4, 1 ) == '/' )
      {
        $dd = substr( $date, 3, 1 );
        $yy = substr( $date, 5, 4 );
      }
      else
      {
	alert( "Invalid date format detected. [". $date ."]\\n". 
               "Please re-enter a valid date by following this format: MM/DD/YYYY" );
        return "0000-00-00";
      }
    }
    else if ( substr( $date, 1, 1 ) == '/' )
    {
      $mm = substr( $date, 0, 1 );
      if ( substr( $date, 4, 1 ) == '/' )
      {
        $dd = substr( $date, 2, 2 );
        $yy = substr( $date, 5, 4 ); 
      }
      else if ( substr( $date, 3, 1 ) == '/' )
      {
        $dd = substr( $date, 2, 1 );
        $yy = substr( $date, 4, 4 );
      }
      else
      {
	alert( "Invalid date format detected. [". $date ."]\\n". 
               "Please re-enter a valid date by following this format: MM/DD/YYYY" );
        return "0000-00-00";
      }
    }
    else 
    {
	alert( "Invalid date format detected. [". $date ."]\\n". 
               "Please re-enter a valid date by following this format: MM/DD/YYYY" );
        return "0000-00-00";
    }

    if ( $yy < 50 ) {       $yy = "20". $yy; }
    else if ( $yy < 100 ) { $yy = "19". $yy; }

    return $yy ."-". $mm ."-". $dd;
  }

/*
enum Node_t
{
   Node_Invalid     = 'I',  -- (I)nvalid
   Node_Client	    = 'B',  -- (B)uyer/Client
   Node_Task        = 'K',  -- Tas(K)
   Node_Skills      = 'S',  -- (S)kills
   Node_Team        = 'G',  -- (G)roup
   Node_User        = 'U',  -- (U)ser
   Node_Employee    = 'E',  -- (E)mployee
   Node_Manager     = 'M',  -- (M)anager Employee
   Node_Leader      = 'L',  -- (L)eader Employee
   Node_Contact     = 'C',  -- (C)ontact
   Node_Address     = 'D',  -- A(D)dress
   Node_Resource    = 'R',  -- (R)esource
   Node_Room        = 'O',  -- (O)ffice
   Node_Portfolio   = 'F',  -- Porte(F)olio
   Node_PHase       = 'H',  -- P(H)ase
   Node_ProJect     = 'J',  -- Pro(J)ect
   Node_Title       = 'T',  -- (T)itle
   Node_Deleted     = 'X',
};

enum Privilege_t
{
   Priv_Invalid = 'I',
   Priv_User    = 'U',
   Priv_Manager = 'M',
   Priv_Admin   = 'A',
   Priv_Site    = 'S',
   Priv_Client  = 'C'
   Priv_Deleted = 'X',
};

enum TimeSheetState_t
{
   State_Invalid     = 'I',  
   State_Unapproved  = 'U',  
   State_Submitted   = 'S',  
   State_Approved    = 'A',
   State_Disapproved = 'D',  
   State_Cancelled   = 'C',
   State_Deleted     = 'X',
};

enum ResourceState_t
{
   Res_Invalid      = 'I',
   Res_Unavailable  = 'U',
   Res_Available    = 'A',
   Res_Lost         = 'L',
   Res_Delete       = 'D',
   Res_Reserved     = 'R',
};
*/

  class TAM_Database extends Database
  {
    var $owner_key;

    function TAM_Database( $owner_key )
    {                  
       $this->db_host   = "mysql.sourceforge.net";
       $this->db_user   = "fprog";
       $this->db_pass   = "fprog";
       $this->db_name   = "fprog";
       $this->owner_key = $owner_key;
       $this->connect();
    }

///////////////////////////////
///  TAM_Settings
///////////////////////////////

    function insert_Settings( 
        $site_name,
        $address_key,
        $database_type,
        $table_space,
        $db_login,
        $db_password,
        $server_domain,
        $script_url,
        $server_pop3,
        $server_smtp,
        $currency,
        $country,
        $timezone,
        $language           
    )
    {
      return $this->insert(
        "INSERT INTO TAM_Settings (  ".
        "   site_id,                 ".
        "   site_name,               ".
        "   address_key,             ".
        "   database_type,           ".
        "   table_space,             ".
        "   db_login,                ".
        "   db_password,             ".
        "   server_domain,           ".
        "   script_url,              ".
        "   server_pop3,             ".
        "   server_smtp,             ".
        "   currency,                ".
        "   country,                 ".
        "   timezone,                ".
        "   language,                ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES (                  ".
        "'0',                        ".
        "'". addslashes( $site_name )      ."',   ".
        "'". $address_key     		   ."',   ".
        "'". addslashes( $database_type)   ."',   ".
        "'". addslashes( $table_space  )   ."',   ".
        "'". addslashes( $db_login     )   ."',   ".
        "'". addslashes( $db_password  )   ."',   ".
        "'". addslashes( $server_domain)   ."',   ".
        "'". addslashes( $script_url   )   ."',   ".
        "'". addslashes( $server_pop3  )   ."',   ".
        "'". addslashes( $server_smtp  )   ."',   ".
        "'". addslashes( $currency     )   ."',   ".
        "'". addslashes( $country      )   ."',   ".
        "'". addslashes( $timezone     )   ."',   ".
        "'". addslashes( $language     )   ."',   ".
        "now(),                  ".
        "'". $this->owner_key ."',   ".
        "now(),                  ".
        "'". $this->owner_key ."')"
      );
    }

    function update_Settings( 
        $site_name,
        $database_type,
        $table_space,
        $db_login,
        $db_password,
        $server_domain,
        $script_url,
        $server_pop3,
        $server_smtp,
        $currency,
        $country,
        $timezone,
        $language           )
    {
      return $this->prepare( 
        "UPDATE TAM_Settings SET ".
        "  site_name     = '". addslashes( $site_name     ) ."', ".
        "  database_type = '". addslashes( $database_type ) ."', ".
        "  table_space   = '". addslashes( $table_space   ) ."', ".
        "  db_login      = '". addslashes( $db_login      ) ."', ".
        "  db_password   = '". addslashes( $db_password   ) ."', ".
        "  server_domain = '". addslashes( $server_domain ) ."', ".
        "  script_url    = '". addslashes( $script_url    ) ."', ".
        "  server_pop3   = '". addslashes( $server_pop3   ) ."', ".
        "  server_smtp   = '". addslashes( $server_smtp   ) ."', ".
        "  currency      = '". addslashes( $currency      ) ."', ".
        "  country       = '". addslashes( $country       ) ."', ".
        "  timezone      = '". addslashes( $timezone      ) ."', ".
        "  language      = '". addslashes( $language      ) ."', ".
        "  last_modif_date      = now(),        ".
        "  last_modif_owner_key = '". $this->owner_key."' ".
        " WHERE site_id = '0' " 
      );
    }

    function select_Settings()
    {
      return $this->prepare( 
        "SELECT ".
        "   site_name,     ".
        "   address_key,   ".
        "   database_type, ".
        "   table_space,   ".
        "   db_login,      ".
        "   db_password,   ".
        "   server_domain, ".
        "   script_url,    ".
        "   server_pop3,   ".
        "   server_smtp,   ".
        "   currency,      ".
        "   country,       ".
        "   timezone,      ".
        "   language       ".
        " FROM TAM_Settings WHERE site_id = '0'" 
      );
    }

///////////////////////////////
///  TAM_Teams
///////////////////////////////

    function insert_Teams( $team_name, $comments )
    {
      return $this->insert(
        "INSERT INTO TAM_Teams (     ".
        "   team_key,                ".
        "   team_name,               ".
        "   comments,                ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES (                  ".
        "'". $team_key        ."',   ".
        "'". addslashes( $team_name )      ."',   ".
        "'". $leader_key      ."',   ".
        "now(),                  ".
        "'". $this->owner_key ."',   ".
        "now(),                  ".
        "'". $this->owner_key ."'  ) "
      );
    }

    function update_Teams( $team_key, $team_name, $leader_key )
    {
      return $this->prepare(
        "UPDATE TAM_Teams SET ".
        "   team_name            = '". addslashes( $team_name )."',".
        "   comments             = '". addslashes( $comments  )."',".
        "   last_modif_date      = now(),".
        "   last_modif_owner_key = '". $this->owner_key ."' ".
        " WHERE team_key = '".         $team_key        ."' " 
      );
    }

    function select_Teams( $team_key )
    {
      return $this->prepare(
        "SELECT ".
        "   team_name, comments ".
        " FROM TAM_Teams WHERE team_key = '". $team_key ."' " 
      );
    }

///////////////////////////////
///  TAM_Users
///////////////////////////////

    function insert_Users(
        $username,    
        $password,    
        $password_hint,
        $privilege
 	)
    {
      return $this->insert(
        "INSERT INTO TAM_Users (  ".
        "   username,                ".
        "   password,                ".
        "   password_hint,           ".
        "   privilege,               ".
        "   address_key,             ".
        "   contact_key,             ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES (                  ".
        "'". addslashes( $username     ) ."',     ".
        " password('". $password         ."'),     ".
        "'". addslashes( $password_hint) ."',     ".
        "'". addslashes( $privilege    ) ."',     ".
        "now(),                  ".
        "'". $this->owner_key ."',   ".
        "now(),                  ".
        "'". $this->owner_key ."'  ) "
      );
    }

    function update_Users(
        $user_key,
        $username,    
        $password,    
        $password_hint,
        $privilege,   
        $address_key, 
        $contact_key     )
    {
      return $this->prepare(
        "UPDATE TAM_Users SET ".
        "   username      = '". addslashes( $username      ) ."',   ".
        "   password      = password('".   $password         ."'),  ".
        "   password_hint = '". addslashes( $password_hint ) ."',   ".
        "   privilege     = '". addslashes( $privilege     ) ."',   ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '".$this->owner_key ."'  ".
        " WHERE user_key = '".  $team_key  ."' " 
      );
    }

    function select_Users ( $user_key, $pw )
    {
      return $this->prepare(
        "SELECT    ".
        "user_key, ".    
        "username, ".    
        "password, ".
        "password_hint, ".
        "privilege,     ".
        "address_key,   ".  
        "contact_key    ".
        ", password('" . $pw ."') ".
        "FROM TAM_Users ".
        "WHERE user_key = '". $user_key ."' " 
      );
    }

/*
enum Node_t
{
   Node_Invalid     = 'I',  -- (I)nvalid
   Node_Team        = 'G',  -- (G)roup
   Node_User        = 'U',  -- (U)ser
   Node_Employee    = 'E',  -- (E)mployee
   Node_Client      = 'C',  -- (C)lient
   Node_Address     = 'A',  -- (A)ddress
   Node_Resource    = 'R',  -- (R)esource
   Node_Room        = 'L',  -- (L)ocation
   Node_Portfolio  = 'F',  -- Porte(F)olio
   Node_PHase       = 'H',  -- P(H)ase
   Node_ProJect     = 'J',  -- Pro(J)ect
   Node_Title       = 'T',  -- (T)itle
   Node_Comments    = 'M',  -- Co(M)ments or (M)essage
   Node_Description = 'D',  -- (D)escription
   Node_Deleted     = 'X',
};

enum Privilege_t
{
   Priv_Invalid = 'I',
   Priv_User    = 'U',
   Priv_Manager = 'M',
   Priv_Admin   = 'A',
   Priv_Site    = 'S',
   Priv_Client  = 'C'
   Priv_Deleted = 'X',
};

enum TimeSheetState_t
{
   State_Invalid     = 'I',  
   State_Unapproved  = 'U',  
   State_Submitted   = 'S',  
   State_Approved    = 'A',
   State_Disapproved = 'D',  
   State_Cancelled   = 'C',
   State_Deleted     = 'X',
};

enum ResourceState_t
{
   Res_Invalid      = 'I',
   Res_Unavailable  = 'U',
   Res_Available    = 'A',
   Res_Lost         = 'L',
   Res_Delete       = 'D',
   Res_Reserved     = 'R',
};
*/

///////////////////////////////
///  TAM_Address
///////////////////////////////

    function insert_Address ( 
      $address_key,     
      $address_name,     
      $street,     
      $appt,     
      $city,     
      $state,     
      $country,     
      $zipcode      )
    {
      return $this->insert(
        "INSERT INTO TAM_Address ( ".
        "   address_key,    ".
        "   address_name,   ".
        "   street,     ".
        "   appt,       ".
        "   city,       ".
        "   state,      ".
        "   country,    ".
        "   zipcode,    ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $address_key  ."', ".
        "'". addslashes( $address_name )."', ".
        "'". addslashes( $street ) ."',      ".
        "'". addslashes( $appt   ) ."',      ".
        "'". addslashes( $city   ) ."',      ".
        "'". $state   ."',      ".
        "'". $country ."',      ".
        "'". $zipcode ."',      ". 
        "now(),                 ".
        "'". $this->owner_key."',   ".
        "now(),                 ".
        "'". $this->owner_key."'  ) "
      );
    }

    function update_Address ( 
      $address_key,     
      $address_name,     
      $street,     
      $appt,     
      $city,     
      $state,     
      $country,     
      $zipcode      )
    {
      return $this->prepare(
        "UPDATE TAM_Address SET ".
        "   address_name         = '". addslashes( $address_name )."',".
        "   street               = '". addslashes( $street       )."',".
        "   appt                 = '". addslashes( $appt    )."',".
        "   city                 = '". addslashes( $city    )."',".
        "   state                = '". $state           ."',".
        "   country              = '". $country         ."',".
        "   zipcode              = '". $zipcode         ."',".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'".
        " WHERE address_key = '".      $address_key     ."' " 
      );
    }

    function select_Address ( $address_key )
    {
      return $this->prepare(
        "SELECT         ". 
        " address_key,  ".    
        " address_name, ".     
        " street,       ".
        " appt,         ".
        " city,         ".
        " state,        ".
        " country,      ".
        " zipcode       ".
        "FROM TAM_Address ".
        "WHERE address_key = '". $address_key ."' " 
      );
    }

///////////////////////////////
///  TAM_Contact
///////////////////////////////

    function insert_Contact ( 
      $contact_key,     
      $contact_name,     
      $tel,     
      $fax,     
      $cell,     
      $website,     
      $work,     
      $email      )
    {
      return $this->insert(
        "INSERT INTO TAM_Contact ( ".
        "   contact_key,     ".
        "   contact_name,    ".
        "   tel,      ".
        "   fax,      ".
        "   cell,     ".
        "   website,  ".
        "   work,     ".
        "   email,    ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $contact_key   ."',     ".
        "'". addslashes( $contact_name )  ."',     ".
        "'". $tel           ."',     ".
        "'". $fax           ."',     ".
        "'". $cell          ."',     ".
        "'". addslashes( $website )       ."',     ".
        "'". $work          ."',     ".
        "'". addslashes( $email   )       ."',     ". 
        "now(),                  ".
        "'". $this->owner_key."',    ".
        "now(),                  ".
        "'". $this->owner_key."'  )  "
      );
    }

    function update_Contact ( 
      $contact_key,     
      $contact_name,     
      $tel,     
      $fax,     
      $cell,     
      $website,     
      $work,     
      $email      )
    {
      return $this->prepare(
        "UPDATE TAM_Contact SET ".
        "   contact_name         = '". addslashes( $contact_name )."', ".
        "   tel                  = '". $tel 		."', ".
	"   fax			 = '". $fax		."', ".
	"   cell		 = '". $cell		."', ".
	"   website		 = '". addslashes( $website ) ."', ".
	"   work		 = '". $work		."', ".
	"   email		 = '". addslashes( $email ) ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."' ".
        " WHERE contact_key = '".      $contact_key     ."' " 
      );
    }

    function select_Contact ( $contact_key )
    {
      return $this->prepare(
        "SELECT ".
        "contact_key,  ".     
        "contact_name, ".     
        "tel,       ".     
        "fax,       ".     
        "cell,      ".     
        "website,   ".     
        "work,      ".     
        "email      ".
        "FROM TAM_Contact ".
        "WHERE contact_key = '". $contact_key ."' " 
      );
    }

///////////////////////////////
///  TAM_Employees
///////////////////////////////

    function insert_Employees ( 
      $employee_key,     
      $username,     
      $password,     
      $first_name,     
      $middle_name,     
      $last_name,     
      $sin,     
      $gender,     
      $birth_date,
      $hiring_date,
	$hourly_rate,
	$street,
	$appt,
	$city,
	$state,
	$country,
	$zipcode,
	$tel, $fax, $cell,
	$website,
	$work, 
	$email
)
    {
      return $this->insert(
      "INSERT INTO TAM_Employees ( ".
      "   employee_key,   ".
      "   username,       ".
      "   password,       ".
      "   first_name,     ".
      "   middle_name,    ".
      "   last_name,      ".
      "   sin,            ".
      "   gender,         ".
      "   birth_date,     ".
	" hiring_date,	".
	" hourly_rate, 	".
	" street,	".
	" appt,		".
	" city,		".
	" state,	".
	" country,	".
	" zipcode,	".
	" tel, fax, cell, ".
	" website, work, email, ".
      "   creation_date,           ".
      "   creation_owner_key,      ".
      "   last_modif_date,         ".
      "   last_modif_owner_key     ".
      ") VALUES ( ".
      "'". $employee_key    ."',     ".
      "'". addslashes( $username ) ."',     ".
      "password( '".   $password  ."' ), ".
      "'". addslashes( $first_name   )."',     ".
      "'". addslashes( $middle_name  )."',     ".
      "'". addslashes( $last_name    )."',     ".
      "'". addslashes( $sin          )."',     ".
      "'". $gender          ."',     ".
      "'". sqlDate( $birth_date )     ."',     ".
      "'". sqlDate( $hiring_date )     ."',     ".
      "'". $hourly_rate ."', ".
      "'". addslashes( $street ) ."', ".
      "'". addslashes( $appt   ) ."', ".
      "'". addslashes( $city   ) ."', ".
      "'". $state   ."', ".
      "'". $country ."', ".
      "'". $zipcode ."', ".
      "'". $tel ."', ".
      "'". $fax ."', ".
      "'". $cell ."', ".
      "'". $website ."', ".
      "'". $work ."', ".
      "'". $email ."', ".
      "now(),                ".
      "'". $this->owner_key ."', ".
      "now(),                ".
      "'". $this->owner_key ."'  )"
      );
    }

    function update_Employees ( 
      $employee_key,     
      $username,     
      $password,     
      $first_name,     
      $middle_name,     
      $last_name,     
      $sin,     
      $gender,     
      $birth_date,
      $hiring_date,
        $hourly_rate,
        $street,
        $appt,
        $city,
        $state,
        $country,
        $zipcode,
        $tel, $fax, $cell,
        $website,
        $work,
        $email )
    {
      return $this->prepare(
        "UPDATE TAM_Employees SET ".
	"   username		 = '". addslashes( $username	)."', ".
	"   password		 = password( '". $password       ."'), ".
	"   first_name		 = '". addslashes( $first_name	)."', ".
	"   middle_name		 = '". addslashes( $middle_name )."', ".
	"   last_name		 = '". addslashes( $last_name	)."', ".
	"   sin			 = '". addslashes( $sin		)."', ".
	"   gender		 = '". $gender			 ."', ".
	"   birth_date		 = '". sqlDate( $birth_date )	 ."', ".
      " hiring_date = '". sqlDate( $hiring_date )     ."',     ".
      " hourly_rate = '". $hourly_rate ."', ".
      " street      = '". addslashes( $street ) ."', ".
      " appt = '". addslashes( $appt   ) ."', ".
      " city = '". addslashes( $city   ) ."', ".
      " state = '". $state   ."', ".
      " country = '". $country ."', ".
      " zipcode = '". $zipcode ."', ".
      " tel  = '". $tel ."', ".
      " fax  = '". $fax ."', ".
      " cell = '". $cell ."', ".
      " website = '". $website ."', ".
      " work = '". $work ."', ".
      " email = '". $email ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key."'  ".
        " WHERE employee_key = '".     $employee_key   ."'  " 
      );
    }

    function select_Employees ( $employee_key, $pw )
    { 
      return $this->prepare(
      "SELECT             ".
      "employee_key,      ". 
      "username,          ".
      "password,          ".
      "first_name,        ".  
      "middle_name,       ".
      "last_name,         ".
      "sin,               ".
      "gender,            ".
      "date_format( birth_date, '%m/%d/%Y' ), ".
	" date_format( hiring_date, '%m/%d/%Y' ), ".
	" hourly_rate, 	".
	" street,	".
	" appt,		".
	" city,		".
	" state,	".
	" country,	".
	" zipcode,	".
	" tel, fax, cell, ".
	" website, work, email, title_key        ".
      ", password( '". $pw ."') ".
      "FROM TAM_Employees ".
      "WHERE employee_key = '". $employee_key ."' " 
      );
    }

///////////////////////////////
///  TAM_Title
///////////////////////////////

    function insert_Title ( 
      $title_key,     
      $title_name      )
    {
      return $this->insert(
        "INSERT INTO TAM_Title ( ".
        "   title_key,     ".
        "   title_name,    ".
        "   creation_date,         ".
        "   creation_owner_key,    ".
        "   last_modif_date,       ".
        "   last_modif_owner_key   ".
        ") VALUES ( ".
        "'". $title_key     ."',   ".
        "'". addslashes( $title_name )  ."',   ". 
        "now(),                ".
        "'". $this->owner_key ."', ".
        "now(),                ".
        "'". $this->owner_key ."' )"
      );
    }

    function update_Title ( 
      $title_key,     
      $title_name      )
    {
      return $this->prepare(
        "UPDATE TAM_Title SET ".
        "   title_name		 = '". addslashes( $title_name )."', ".
        "   last_modif_date      = now(),          	 ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE title_key = '". $title_key ."' " 
      );
    }

    function select_Title ( $title_key )
    {
      return $this->prepare(
        "SELECT ".
        "title_key,      ".
        "title_name      ".
        "FROM TAM_Title  ".
        "WHERE title_key = '". $title_key ."' "
      );
    }

///////////////////////////////
///  TAM_Skills
///////////////////////////////

    function insert_Skills ( 
      $skill_key,     
      $skill_name      )
    {
      return $this->insert(
        "INSERT INTO TAM_Skills ( ".
        "   skill_key,     ".
        "   skill_name,    ".
        "   creation_date,         ".
        "   creation_owner_key,    ".
        "   last_modif_date,       ".
        "   last_modif_owner_key   ".
        ") VALUES ( ".
        "'". $skill_key     ."',   ".
        "'". addslashes( $skill_name )  ."',   ". 
        "now(),                ".
        "'". $this->owner_key ."', ".
        "now(),                ".
        "'". $this->owner_key ."' )"
      );
    }

    function update_Skills ( 
      $skill_key,     
      $skill_name      )
    {
      return $this->prepare(
        "UPDATE TAM_Skills SET ".
        "   skills_name		 = '". addslashes( $skill_name )."', ".
        "   last_modif_date      = now(),          	 ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE skills_key = '". $skill_key ."' " 
      );
    }

    function select_Skills ( $skill_key )
    {
      return $this->prepare(
        "SELECT ".
        "skill_key,      ".
        "skill_name      ".
        "FROM TAM_Skills  ".
        "WHERE skill_key = '". $skill_key ."' "
      );
    }

///////////////////////////////
///  TAM_Phase
///////////////////////////////

    function insert_Phase ( 
      $phase_key,     
      $phase_name,     
      $phase_status,     
      $date_start,     
      $date_due,
      $comments     
     )
    {
      return $this->insert(
        "INSERT INTO TAM_Phase ( ".
        "   phase_key,    ".
        "   phase_name,    ".
        "   phase_status,    ".
        "   date_start,    ".
        "   date_due,    ".
        "   comments,    ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $phase_key       ."',   ".
        "'". addslashes( $phase_name      )."',   ".
        "'". addslashes( $phase_status    )."',   ".
        "'". sqlDate( $date_start )  ."',   ".
        "'". sqlDate( $date_due   )  ."',   ". 
        "'". addslashes( $comments ) ."',   ".
        "now(),                      ".
        "'". $this->owner_key     ."',   ".
        "now(),                      ".
        "'". $this->owner_key     ."'  ) "
      );
    }

    function update_Phase ( 
      $phase_key,     
      $phase_name,     
      $phase_status,     
      $date_start,     
      $date_due, 
      $comments )
    {
      return $this->prepare(
        "UPDATE TAM_Phase SET ".
        "   phase_name		 = '". addslashes( $phase_name   ) ."', ".
	"   phase_status	 = '". addslashes( $phase_status ) ."', ".
	"   date_start		 = '". sqlDate( $date_start )."', ".
	"   date_due		 = '". sqlDate( $date_due   )."', ".
	"   comments             = '". addslashes( $comments )."', ".
        "   last_modif_date      = now(),          		".
        "   last_modif_owner_key = '". $this->owner_key."'  	".
        " WHERE phase_key = '".        $phase_key      ."' 	" 
      );
    }

    function select_Phase ( $phase_key )
    {
      return $this->prepare(
        "SELECT ".
        "phase_key,         ".
        "phase_name,        ".
        "phase_status,      ".
        "date_format( date_start, '%m/%d/%Y' ),      ".
        "date_format( date_due,   '%m/%d/%Y' ),      ".
        "comments ".
        "FROM TAM_Phase     ".
        "WHERE phase_key = ". $phase_key ." " 
      );
    }

///////////////////////////////
///  TAM_Project
///////////////////////////////

    function insert_Project ( 
      $project_key,     
      $project_name,     
      $project_currency_cost,     
      $project_cost,     
      $project_currency_budget,     
      $project_budget,     
      $project_description,     
      $date_start,     
      $date_due,     
      $project_status )
    {
      return $this->insert(
        "INSERT INTO TAM_Project ( ".
        "   project_key,      ".
        "   project_name,     ".
        "   project_cost,     ".
        "   project_budget,    ".
        "   project_currency_cost,     ".
        "   project_currency_budget,    ".
        "   project_description,    ".
        "   date_start,             ".
        "   date_due,               ".
        "   project_status,         ".
        "   creation_date,          ".
        "   creation_owner_key,     ".
        "   last_modif_date,        ".
        "   last_modif_owner_key    ".
        ") VALUES ( ".
        "'". $project_key         ."',   ".
        "'". addslashes( $project_name  )      ."',   ".
        "'". $project_cost        ."',   ".
        "'". $project_budget       ."',   ".
        "'". $project_currency_cost        ."',   ".
        "'". $project_currency_budget       ."',   ".
        "'". addslashes( $project_description )."',   ".
        "'". addslashes( $project_status )     ."',   ".
        "now(),                      ".
        "'". $this->owner_key     ."',   ".
        "now(),                      ".
        "'". $this->owner_key     ."'  ) "
      );
    }

    function update_Project ( 
      $project_key,     
      $project_name,     
      $project_currency_cost,
      $project_cost,
      $project_currency_budget,
      $project_budget,
      $project_description,     
      $date_start,     
      $date_due,     
      $project_status )
    {
      $d = addslashes( $project_description );
      return $this->prepare(
        "UPDATE TAM_Project SET ".
	"   project_name	 = '". addslashes( $project_name )."', ".
	"   project_cost	 = '". $project_cost	."', ".
	"   project_budget	 = '". $project_budget	."', ".
	"   project_currency_cost   = '". $project_currency_cost ."', ".
	"   project_currency_budget = '". $project_currency_budget ."', ".
	"   project_description  = '". $d ."', ".
	"   date_start		 = '". sqlDate( $date_start )."', ".
	"   date_due		 = '". sqlDate( $date_due   )."', ".
	"   project_status	 = '". addslashes( $project_status ) ."', ".
        "   last_modif_date      = now(),          	     ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE project_key = ".      $project_key     ."  " 
      );
    }

    function select_Project ( $project_key )
    {
      return $this->prepare(
        "SELECT  ".
        "project_key,      ".
        "project_name,     ".
        "project_currency_cost,     ".
        "project_cost,     ".
        "project_currency_budget,    ". 
        "project_budget,    ". 
        "project_description,   ".
        "date_format( date_start, '%m/%d/%Y' ), ".
        "date_format( date_due, '%m/%d/%Y' ), ".
        "project_status         ".
        "FROM TAM_Project       ".
        "WHERE project_key = ". $project_key ." " 
      );
    }

///////////////////////////////
///  TAM_Task
///////////////////////////////

    function insert_Task ( 
      $task_key,     
      $task_name,      
      $date_start,     
      $date_due )
    {
      return $this->insert(
        "INSERT INTO TAM_Task ( ".
        "   task_key,    ".
        "   task_name,    ".
        "   date_start, date_due, ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $task_key            ."',   ".
        "'". addslashes( $task_name )           ."',   ". 
        "'". sqlDate( $date_start )           ."',   ".
        "'". sqlDate( $date_due   )           ."',   ".
        "now(),              ".
        "'". $this->owner_key     ."',   ".
        "now(),              ".
        "'". $this->owner_key     ."'  ) "
      );
    }

    function update_Task ( 
      $task_key,     
      $task_name,    
      $date_start,     
      $date_due )
    {
      return $this->prepare(
        "UPDATE TAM_Task SET ".
        "   task_name		 = '". addslashes( $task_name )."', ".
	"   date_start		 = '". sqlDate( $date_start )."', ".
	"   date_due		 = '". sqlDate( $date_due   )."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE task_key = '".         $task_key        ."'  " 
      );
    }

    function select_Task ( $task_key )
    {
      return $this->prepare(
        "SELECT        ".
        "task_key,     ".
        "task_name,     ".
        "date_format( date_start, '%m/%d/%Y' ), ".
        "date_format( date_due, '%m/%d/%Y' ), ".
        "FROM TAM_Task ".
        "WHERE task_key = '". $task_key ."' "
      );
    }

///////////////////////////////
///  TAM_Activity
///////////////////////////////

    function insert_Activity ( 
      $activity_key,     
      $activity_name,     
      $description,     
      $deliverable,     
      $time_start,     
      $time_due      )
    {
      return $this->insert(
        "INSERT INTO TAM_Activity ( ".
        "   activity_key,    ".
        "   activity_name,    ".
        "   description,    ".
        "   deliverable,    ".
        "   time_start,    ".
        "   time_due,    ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $activity_key      ."',   ".
        "'". addslashes( $activity_name )    ."',   ".
        "'". addslashes( $description   )    ."',   ".
        "'". addslashes( $deliverable   )    ."',   ".
        "'". sqlDate( $time_start )       ."',   ".
        "'". sqlDate( $time_due   )       ."',   ". 
        "now(),              ".
        "'". $this->owner_key   ."',   ".
        "now(),                  ".
        "'". $this->owner_key   ."'  ) "
      );
    }

    function update_Activity ( 
      $activity_key,     
      $activity_name,     
      $description,     
      $deliverable,     
      $time_start,     
      $time_due              )
    {
      return $this->prepare(
        "UPDATE TAM_Activity SET ".
        "   activity_name	 = '". addslashes( $activity_name )."', ".
	"   description	 	 = '". addslashes( $description )."', ".
	"   deliverable		 = '". addslashes( $deliverable )  ."', ".
	"   time_start		 = '". sqlDate( $time_start  )  ."', ".
	"   time_due		 = '". sqlDate( $time_due    )  ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE activity_key = '".     $activity_key    ."'  "
      );
    }

    function select_Activity ( $activity_key )
    {
      return $this->prepare(
        "SELECT         ". 
        "activity_key,  ".   
        "activity_name, ".     
        "description,   ".   
        "deliverable,   ".   
        "date_format( time_start, '%m/%d/%Y' ),       ".  
        "date_format( time_due,   '%m/%d/%Y' ),       ".
        "FROM TAM_Activity ".
        "WHERE activity_key = '". $activity_key ."' "
      );
    }

///////////////////////////////
///  TAM_Comments
///////////////////////////////

    function insert_Comments ( 
      $comment_key,     
      $comment_title,     
      $comment      )
    {
      return $this->insert(
        "INSERT INTO TAM_Comments ( ".
        "   comment_key,      ".
        "   comment_title,    ".
        "   comment,          ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $comment_key      ."',  ".
        "'". addslashes( $comment_title  )  ."',  ".
        "'". addslashes( $comment        )  ."',  ". 
        "now(),              ".
        "'". $this->owner_key  ."',  ".
        "now(),                  ".
        "'". $this->owner_key  ."'  )"
      );
    }

    function update_Comments ( 
      $comment_key,     
      $comment_title,     
      $comment      )
    {
      return $this->prepare(
        "UPDATE TAM_Comments SET ".
        "   comment_title        = '". addslashes( $comment_title ) ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE comment_key = '".      $comment_key     ."'  " 
      );
    }

    function select_Comments ( $comment_key )
    {
      return $this->prepare(
        "SELECT         ". 
        "comment_key,   ".  
        "comment_title, ".    
        "comment        ".
        "FROM TAM_Comments ".
        "WHERE comment_key = '". $comment_key ."' "
      );
    }

///////////////////////////////
///  TAM_Portfolio
///////////////////////////////

    function insert_Portfolio ( 
      $portfolio_key,     
      $portfolio_name,     
      $client_first_name,     
      $client_last_name,     
      $client_company_name    )
    {
      return $this->insert(
        "INSERT INTO TAM_Portfolio ( ".
        "   portfolio_key,           ".
        "   portfolio_name,          ".
        "   client_first_name,       ".
        "   client_last_name,        ". 
        "   client_company_name,     ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $portfolio_key       ."',   ".
        "'". addslashes( $portfolio_name     ) ."',   ".
        "'". addslashes( $client_first_name  ) ."',   ".
        "'". addslashes( $client_last_name   ) ."',   ".
        "'". addslashes( $client_company_name) ."',   ".
        "now(),                      ".
        "'". $this->owner_key     ."',   ".
        "now(),                      ".
        "'". $this->owner_key     ."'  ) "
      );
    }

    function update_Portfolio ( 
      $portfolio_key,     
      $portfolio_name,     
      $client_first_name,     
      $client_last_name,     
      $client_company_name    )
    {
      return $this->prepare(
        "UPDATE TAM_Portfolio SET ".
        "   portfolio_name       = '". addslashes( $portfolio_name    )."', ".
        "   client_first_name    = '". addslashes( $client_first_name ) ."', ".
        "   client_last_name     = '". addslashes( $client_last_name   ) ."', ".
        "   client_company_name  = '". addslashes( $client_company_name) ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE portfolio_key = '".    $portfolio_key   ."'  " 
      );
    }

    function select_Portfolio ( $portfolio_key )
    {
      return $this->prepare(
      "SELECT               ".
      "portfolio_key,       ".
      "portfolio_name,      ".
      "client_first_name,   ".
      "client_last_name,    ". 
      "client_company_name  ".
      "FROM TAM_Portfolio   ".
      "WHERE portfolio_key = '". $portfolio_key ."' "
      );
    }

///////////////////////////////
///  TAM_TimeSheet
///////////////////////////////

    function insert_TimeSheet ( 
      $timesheet_key,     
      $timesheet_name,     
      $employee_key,     
      $timesheet_date,     
      $time_start,     
      $time_lunch,     
      $time_end,     
      $timesheet_status      )
    {
      return $this->insert(
        "INSERT INTO TAM_TimeSheet ( ".
        "   timesheet_key,  ".
        "   timesheet_name, ".
        "   employee_key,   ".
        "   timesheet_date, ".
        "   time_start,     ".
        "   time_lunch,     ".
        "   time_end,       ".
        "   timesheet_status,        ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $timesheet_key    ."',   ".
        "'". addslashes( $timesheet_name )  ."',   ".
        "'". $employee_key     ."',   ".
        "'". addslashes( $timesheet_date )  ."',   ".
        "'". $time_start       ."',   ".
        "'". $time_lunch       ."',   ".
        "'". $time_end         ."',   ".
        "'". addslashes( $timesheet_status ) ."',   ". 
        "now(),              ".
        "'". $this->owner_key  ."',   ".
        "now(),                   ".
        "'". $this->owner_key  ."'  ) "
      );
    }

    function update_TimeSheet ( 
      $timesheet_key,     
      $timesheet_name,     
      $timesheet_date,     
      $time_start,     
      $time_lunch,     
      $time_end,     
      $timesheet_status      )
    {
      return $this->prepare(
        "UPDATE TAM_TimeSheet SET ".
        "   timesheet_name	 = '". addslashes( $timesheet_name)."',  ".
	"   timesheet_date	 = '". $timesheet_date ."',  ".
	"   time_start		 = '". $time_start     ."',  ".
	"   time_lunch		 = '". $time_lunch     ."',  ".
	"   time_end		 = '". $time_end       ."',  ".
        "   last_modif_date      = now(),          	     ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE timesheet_key = '".    $timesheet_key   ."'  " 
      );
    }

    function select_TimeSheet ( $timesheet_key )
    {
      return $this->prepare(
        "SELECT ".
        "timesheet_key,     ".
        "timesheet_name,    ".
        "employee_key,      ".
        "timesheet_date,    ".  
        "time_start,        ".
        "time_lunch,        ".  
        "time_end,          ".
        "timesheet_status   ".
        "FROM TAM_TimeSheet ".
        "WHERE timesheet_key = '". $timesheet_key ."' "
      );
    }

///////////////////////////////
///  TAM_Resource
///////////////////////////////

    function insert_Resource ( 
      $resource_key,     
      $resource_name,     
      $resource_type,     
      $location_key,     
      $resource_status      )
    {
      return $this->insert(
        "INSERT INTO TAM_Resource ( ".
        "   resource_key,     ".
        "   resource_name,    ".
        "   resource_type,    ".
        "   location_key,     ".
        "   resource_status,  ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $resource_key       ."',   ".
        "'". addslashes( $resource_name )     ."',   ".
        "'". addslashes( $resource_type )     ."',   ".
        "'". $location_key       ."',   ".
        "'". addslashes( $resource_status )    ."',   ". 
        "now(),              ".
        "'". $this->owner_key    ."',   ".
        "now(),             ".
        "'". $this->owner_key    ."'  ) "
      );
    }

    function update_Resource ( 
      $resource_key,     
      $resource_name,     
      $resource_type,     
      $resource_status      )
    {
      return $this->prepare(
        "UPDATE TAM_Resource SET ".
        "   resource_name	 = '". addslashes( $resource_name)."', ".
	"   resource_type	 = '". addslashes( $resource_type  )."', ".
	"   resource_status	 = '". addslashes( $resource_status )."', ".
        "   last_modif_date      = now(),                     ".
        "   last_modif_owner_key = '". $this->owner_key  ."'  ".
        " WHERE resource_key     = '". $resource_key     ."'  " 
      );
    }

    function select_Resource ( $resource_key )
    {
      return $this->prepare(
        "SELECT ". 
        "resource_key,        ".
        "resource_name,       ".
        "resource_type,       ".
        "location_key,        ".
        "resource_status      ".
        "FROM TAM_Resource    ".
        "WHERE resource_key = '". $resource_key ." ' " 
      );
    }

///////////////////////////////
///  TAM_Meeting
///////////////////////////////

    function insert_Meeting ( 
      $meeting_key,     
      $meeting_title,     
      $room_key,     
      $meeting_date,     
      $meeting_start_time, 
      $meeting_end_time       
     )
    {
      return $this->insert(
        "INSERT INTO TAM_Meeting ( ".
        "   meeting_key,      ".
        "   meeting_title,    ".
        "   room_key,         ".
        "   meeting_date,     ".
        "   meeting_start_time,      ".
        "   meeting_end_time,        ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $meeting_key       ."',   ".
        "'". addslashes( $meeting_title )    ."',   ".
        "'". $room_key          ."',   ".
        "'". sqlDate( $meeting_date )    ."',   ".
        "'". $meeting_start_time      ."',   ". 
        "'". $meeting_end_time      ."',   ". 
        "now(),              ".
        "'". $this->owner_key   ."',   ".
        "now(),                    ".
        "'". $this->owner_key   ."'  ) "
      );
    }

    function update_Meeting ( 
      $meeting_key,     
      $meeting_title,     
      $meeting_date,     
      $meeting_start_time,
      $meeting_end_time      
      )
    {
      return $this->prepare(
        "UPDATE TAM_Meeting SET ".
	"   meeting_title	 = '". addslashes( $meeting_title )."', ".
	"   meeting_date	 = '". sqlDate( $meeting_date )."', ".
	"   meeting_start_time	 = '". $meeting_start_time   ."', ".
	"   meeting_end_time	 = '". $meeting_end_time     ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE meeting_key      = '". $meeting_key     ."'  " 
      );
    }

    function select_Meeting ( $meeting_key )
    {
      return $this->prepare(
        "SELECT ".
        "meeting_key,      ".
        "meeting_title,    ". 
        "room_key,         ".
        "date_format( meeting_date, '%m/%d/%Y' ),    ".
        "meeting_start_time,      ".
        "meeting_end_time      ".
        "FROM TAM_Meeting  ".
        "WHERE meeting_key = '". $meeting_key ."' "
      );
    }

///////////////////////////////
///  TAM_Node
///////////////////////////////

    function insert_Node ( 
      $node_type,     
      $src_key,     
      $dest_key          )
    {
      return $this->insert(
        "INSERT INTO TAM_Node ( ".
        "   node_type,      ".
        "   src_key,        ".
        "   dest_key,       ".
        "   creation_date,           ".
        "   creation_owner_key,      ".
        "   last_modif_date,         ".
        "   last_modif_owner_key     ".
        ") VALUES ( ".
        "'". $node_type         ."',   ". 
        "'". $src_key           ."',   ".
        "'". $dest_key          ."',   ".
        "now(),              ".
        "'". $this->owner_key   ."',   ".
        "now(),                    ".
        "'". $this->owner_key   ."'  ) "
      );
    }

    function update_Node ( 
      $node_type,     
      $src_key,     
      $dest_key          )
    {
      return $this->prepare(
        "UPDATE TAM_Node SET ".
        "   node_type     = '". $node_type ."', ".
        "   src_key       = '". $src_key   ."', ".
        "   dest_key      = '". $dest_key  ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE node_type = '". $node_type  ."' ".
        "   AND src_key   = '". $src_key    ."' ".
        "   AND dest_key  = '". $dest_key   ."' "
      );
    }


    function update_NodeDest ( 
      $node_type,     
      $src_key,    
      $dest_key,
      $old_dest_key
          )
    {
      return $this->prepare(
        "UPDATE TAM_Node SET ".
        "   node_type     = '". $node_type ."', ".
        "   src_key       = '". $src_key   ."', ".
        "   dest_key      = '". $dest_key  ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE node_type = '". $node_type  ."' ".
        "   AND src_key   = '". $src_key    ."' ".
        "   AND dest_key  = '". $old_dest_key   ."' "
      );
    }

    function update_NodeSrc ( 
      $node_type,     
      $src_key, 
      $dest_key,
      $old_src_key
          )
    {
      return $this->prepare(
        "UPDATE TAM_Node SET ".
        "   node_type     = '". $node_type ."', ".
        "   src_key       = '". $src_key   ."', ".
        "   dest_key      = '". $dest_key  ."', ".
        "   last_modif_date      = now(),          ".
        "   last_modif_owner_key = '". $this->owner_key ."'  ".
        " WHERE node_type = '". $node_type  ."' ".
        "   AND src_key   = '". $old_src_key    ."' ".
        "   AND dest_key  = '". $dest_key   ."' "
      );
    }

    function select_Node_src(
      $node_type,     
      $src_key )
    {
      return $this->prepare(
        "SELECT  node_type, src_key, dest_key FROM TAM_Node ".
        " WHERE node_type = '". $node_type  ."' ".
        "   AND src_key   = '". $src_key    ."' "
      );
    }

    function select_Node_dest(
      $node_type,     
      $dest_key )
    {
      return $this->prepare(
        "SELECT  node_type, src_key, dest_key FROM TAM_Node ".
        " WHERE node_type = '". $node_type  ."' ".
        "   AND dest_key  = '". $dest_key   ."' "
      );
    }

    function createPortfolio( $pf_key, $pfname, $fname, $lname, $company, 
                                       $street, $appt, $city, $state, $country, $zipcode,
                                       $tel, $fac, $cell, $website, $work, $email, 
                                       $projects_key_array
                            )
    {
      $pf_key       = $this->getNewKey( "TAM_Portfolio", "portfolio_key" );
      $addr_key     = $this->getNewKey( "TAM_Address",   "address_key" );
      $contact_key  = $this->getNewKey( "TAM_Contact",   "contact_key" );

      // Create Portfolio and verify it
      $this->insert_Portfolio( $pf_key, $pfname, $fname, $lname, $company );
      $this->select_Portfolio( $pf_key );

    /*
      $row = $this->fetch_row();
      if ( $row[0] != $pf_key  || 
           $row[1] != $pfname  ||
           $row[2] != $fname   ||
           $row[3] != $lname   ||
           $row[4] != $company )
      {
        error_message( 
"New Portfolio items were NOT saved correctly.".
"Please contact the system administrators." );
      }
    */

      // Create Address and verify it
      $this->insert_Address( $addr_key, $pfname, $street, $appt, $city, $state, $country, $zipcode );
      $this->select_Address( $addr_key );

      // Create Node: PortFolio-Address
      $this->insert_Node( "FD", $pf_key, $addr_key );

      // Create Contact info and verify it
      $this->insert_Contact( $contact_key, $pfname, $tel, $fax, $cell,
$website, $work, $email );
      $this->select_Contact( $contact_key );

      // Create Node: PortFolio-Contact
      $this->insert_Node( "FC", $pf_key, $contact_key );

      foreach( $projects_key_array As $index => $item )
      {
        $this->insert_Node( "FJ", $pf_key, $item );
      }
    }

    function search_Portfolio( $sql )
    {
      return $this->prepare( 
        "SELECT J.project_key,  J.project_name,   ".
        "       H.phase_key,    H.phase_name,     ".
        "       K.task_key,     K.task_name,      ".
        "       A.activity_key, A.activity_name,  ".
        "       A.time_start,   A.time_due,       ".
        "       A.description,                    ".
        "       A.deliverable,                    ".
        "       A.comment                         ".
        "FROM   TAM_Activity   A,                 ".
        "       TAM_Project    J,                 ".
        "       TAM_Phase      H,                 ".
        "       TAM_Task       K,                 ".
        "       TAM_Node       JH,                ".
        "       TAM_Node       HK,                ".
        "       TAM_Node       KA                 ".
        "WHERE  JH.node_type = 'JH'               ".
        "  AND  JH.src_key  = J.project_key       ".
        "  AND  JH.dest_key = H.phase_key         ".
        "  AND  HK.node_type = 'HK'               ".
        "  AND  HK.src_key  = H.phase_key         ".
        "  AND  HK.dest_key = K.task_key          ".
        "  AND  KA.node_type = 'KA'               ".
        "  AND  KA.src_key  = K.task_key          ".
        "  AND  KA.dest_key = A.activity_key      ". $sql
      );
    }

    function print_search_Portfolio( $sql )
    {
    ?><TABLE border="1">
        <TR>
          <TD><NOBR><B>Project  ID:  </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Project  Name:</B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Phase    ID:  </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Phase    Name:</B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Task     ID:  </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Task     Name:</B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Activity ID:  </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Activity Name:</B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Start Time:   </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Due   Time:   </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Description:  </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Deliverable:  </B> &nbsp; </NOBR></TD>
          <TD><NOBR><B>Comment:      </B> &nbsp; </NOBR></TD>
        </TR>
<?php
      $q = $this->search_Portfolio( $sql );

      while( $row = $this->fetch_row() )
      {
        echo "<TR>\n";
        echo "<TD><NOBR>". $row[0] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[1] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[2] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[3] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[4] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[5] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[6] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[7] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[8] ." &nbsp; </NOBR></TD>\n";
        echo "<TD><NOBR>". $row[9] ." &nbsp; </NOBR></TD>\n";

        echo "<TD>". $row[10] ."</TD>\n";
        echo "<TD>". $row[11] ."</TD>\n";
        echo "<TD>". $row[12] ."</TD>\n";
        echo "</TR>\n";
      }

      echo "</TABLE>";
    }

  } // End of TAM_Database class

} // if( $TAM_Database_INCLUDED != 1 )

?>
